<!DOCTYPE html>
<html lang="en">
  <head>
    <title>LibreDNS</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta property="og:site_name" content="LibreDNS">
    <meta property="og:title" content="LibreDNS">
    <meta property="og:description" content="a public encrypted DNS service, that people can use to maintain secrecy of their dns traffic, but also circumvent censorship.">
    <meta property="og:type" content="website">
    <meta property="og:url" content="https://libredns.gr">
    <meta property="og:image" content="https://libredns.gr/static/img/opengraph.png">
    <link rel="stylesheet" href="https://libreops.cc/static/lib/bootstrap/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://libreops.cc/static/lib/fork-awesome/css/fork-awesome.min.css">
    <link rel="stylesheet" href="https://libreops.cc/static/css/app.css">
    <link rel="stylesheet" href="/static/css/app.css">
    <link rel="shortcut icon" href="/favicon.ico">
  </head>

  <body>

    <div class="page">

      <div class="container">
        <header class="py-3 text-center">
          <a href="/"><img src="/static/img/libredns.svg" alt="LibreDNS" class="avatar"></a>
        </header>

        <div class="d-none alert alert-success w-75 mx-auto mt-3 mb-4" role="alert" id="test-success">
          <i class="fa fa-check-circle" aria-hidden="true"></i> You are using LibreDNS. Your DNS requests are encrypted!
        </div>

        <div class="d-none alert alert-danger w-75 mx-auto mt-3 mb-4" role="alert" id="test-danger">
          <i class="fa fa-times-circle" aria-hidden="true"></i> You are not using LibreDNS :(
        </div>

        <div class="alert alert-warning w-75 mx-auto mt-3 mb-4" role="alert">
          If you are using our IP address please switch to <code class="ml-1">116.202.176.26</code>
        </div>

        <div class="card w-75 mx-auto">
          <div class="card-header">
            about
          </div>
          <div class="card-body">
            <p>
              This is a DNS service run by <a href="https://libreops.cc" target="_blank">LibreOps</a>.
            </p>
            <p>
              The goal is to offer a public encrypted DNS service that people can use
              to maintain the secrecy of their DNS traffic, but also circumvent censorship.
            </p>
            <p>
              We already support <strong>DNS over HTTPS</strong> and <strong>DNS over TLS</strong>.
            </p>
          </div>
        </div>

        <div class="card w-75 mx-auto mt-4">
          <div class="card-header">
            DNS over HTTPS
          </div>
          <div class="card-body">
            <p>
              <span class="badge badge-dark">Endpoint</span> <code>https://doh.libredns.gr/dns-query</code>
            </p>
            <p>
              DNS over HTTPS (<a href="https://en.wikipedia.org/wiki/DNS_over_HTTPS" target="_blank">DoH</a>)
              is best to be configured and used on applications, namely browsers.
            </p>

            <p>To configure your browser:</p>

            <ul>

              <li class="mb-3"><strong>Firefox</strong>
                <ol>
                  <li>Click on the three-dash menu in your browser window.</li>
                  <li>Select <code>Settings</code>.</li>
                  <li>Navigate to <code>General > Network Settings > Settings</code></li>
                  <li>At the bottom of this dialog: <code>Enable DNS over HTTPS</code></li>
                  <li>Change from the default setting to Custom and fill in: <code>https://doh.libredns.gr/dns-query</code></li>
                </ol>
              </li>

              <li class="mb-3"><strong>Chrome</strong> or <strong>Chromium</strong>
                <ol>
                  <li>Click on the three-dot menu in your browser window.</li>
                  <li>Select <code>Settings</code>.</li>
                  <li>Scroll down to <code>Privacy and security > Security</code>.</li>
                  <li>Scroll down and enable the <code>Use secure DNS</code> switch.</li>
                  <li>Select <code>Custom</code> and fill in <code>https://doh.libredns.gr/dns-query</code></li>
                </ol>
              </li>

              <li class="mb-3"><strong>Edge</strong>
                <ol>
                  <li>Go to <code>edge://settings/privacy</code>.</li>
                  <li>Scroll down to the <code>Security</code> section.</li>
                  <li>Make sure the <code>Use secure DNS</code> option is enabled.</li>
                  <li>Select Custom and fill in <code>https://doh.libredns.gr/dns-query</code></li>
                </ol>
              </li>

            </ul>

            <blockquote>
              For more browser configuration guidelines check
              <a href="https://gitlab.com/libreops/libredns/libredns.gr/-/wikis/home" target="_new">our wiki</a>.
            </blockquote>

            <hr>

            <p class="docs-section">
              Blocking Ads and Trackers
            </p>
            <p>
              We also offer an endpoint that blocks a
              <a href="https://github.com/StevenBlack/hosts" target="_blank">crowdsourced list</a>
              of known advertisement and tracking domains.
            </p>
            <p>
              <span class="badge badge-dark">Endpoint</span> <code>https://doh.libredns.gr/ads</code>
            </p>
          </div>
        </div>

        <div class="card w-75 mx-auto mt-4">
          <div class="card-header">
            DNS over TLS
          </div>
          <div class="card-body">
            <p>
              <span class="badge badge-dark">IP</span> <code>116.202.176.26</code><br>
              <span class="badge badge-dark">Port</span> <code>853</code><br>
              <span class="badge badge-dark">Domain</span> <code>dot.libredns.gr</code><br>
            </p>
            <p>
              DNS over TLS (<a href="https://en.wikipedia.org/wiki/DNS_over_TLS" target="_blank">DoT</a>)
              is best to be configured globally for the entire operating system.
            </p>
            <p>
              A few clients already support the protocol, and the easiest way is to configure systemd to use it:
            </p>
            <p>
              <ol>
                <li>
                  Open <code>/etc/systemd/resolved.conf</code> with you favorite editor and sudo rights.
                </li>
                <li>
                  Make sure you have the following options:<br>
                  <code>
                    [Resolve]<br>
                    DNS=116.202.176.26#dot.libredns.gr<br>
                    FallbackDNS=127.0.0.1 ::1<br>
                    DNSOverTLS=yes<br>
                  </code>
                  <br>
                  <blockquote>
                  If you are on systemd &lt; 243, then use <code>opportunistic</code> instead of <code>yes</code>.
                  </blockquote>
                </li>
              </ol>
            </p>

            <hr>

            <p class="docs-section">
              Blocking Ads and Trackers
            </p>
            <p>
              We also offer DoT at a different port that blocks a
              <a href="https://github.com/StevenBlack/hosts" target="_blank">crowdsourced list</a>
              of known advertisement and tracking domains.
            </p>
            <p>
              <span class="badge badge-dark">IP</span> <code>116.202.176.26</code><br>
              <span class="badge badge-dark">Port</span> <code>854</code><br>
              <span class="badge badge-dark">Domain</span> <code>dot.libredns.gr</code><br>
            </p>
            <p>
              In case you want to update your systemd-resolv configuration file:<br>
              <code>
                [Resolve]<br>
                DNS=116.202.176.26:854#dot.libredns.gr<br>
                FallbackDNS=127.0.0.1 ::1<br>
                DNSOverTLS=yes<br>
              </code>
            </p>
          </div>
        </div>

        <div class="card w-75 mx-auto mt-4">
          <div class="card-header">
            links
          </div>
          <div class="card-body">
            <ul>
              <li>
                <a href="https://gitlab.com/libreops/libredns/libredns.gr/-/wikis/home" target="_blank">More info on setting up DoH and DoT</a>
              </li>
              <li>
                <a href="https://gitlab.com/libreops/libredns/libredns-cfg" target="_blank">Ansible scripts for LibreDNS</a>
              </li>
              <li>
                <a href="https://gitlab.com/libreops/libredns/libredns.gr" target="_blank">Source code of this website</a>
              </li>
            </ul>
          </div>
        </div>

        <div class="card w-75 mx-auto mt-4">
          <div class="card-header">
            privacy
          </div>
          <div class="card-body">
            <p>
              One of the motives for creating this service was to build a DNS server that will keep a minimum
              amount of (meta)data and only the bare minimum that is required for its core functionality,
              in respect to users privacy.
            </p>
            <p>In detail:</p>
            <ul>
              <li>
                We keep no logs. Logs are
                <a href="https://gitlab.com/libreops/libredns/libredns-cfg/blob/8ca7e35fa89db25f5d393c4e5a3f087b68639b9f/roles/dns-over-https/templates/doh-server.conf.j2#L49-50" target="_blank">disabled</a>
                for our DNS daemon.
              </li>
              <li>
                We use a local resolver for the DNS requests.
                We use <a href="https://www.opennic.org/" target="_blank">OpenNIC</a> as our Tier 1.
              </li>
            </ul>
          </div>
        </div>


      </div>

    </div>

    <div class="container">
      <footer class="p-3 px-md-4 my-3 border shadow w-75 mx-auto">
          <div class="row justify-content-sm-between">
            <div class="col-sm">
              <a href="https://riot.im/app/#/room/#libreops:matrix.org" class="mx-1 footer-link" target="_blank">
                <i class="fa fa-comments" aria-hidden="true"></i> Matrix
              </a>
              <a href="https://status.libreops.cc/" class="mx-1 footer-link" target="_blank">
                <i class="fa fa-area-chart" aria-hidden="true"></i> Uptime
              </a>
              <a href="https://gitlab.com/libreops/" class="mx-1 footer-link" target="_blank">
                <i class="fa fa-git" aria-hidden="true"></i> Source Code
              </a>
              <a href="https://libreops.cc/terms/" class="mx-1 footer-link" target="_blank">
                <i class="fa fa-sticky-note-o" aria-hidden="true"></i> Terms of Service
              </a>
            </div>
            <div class="col-sm">
              <a href="/feed.xml" class="mx-2 footer-link">
                <i class="fa fa-rss" aria-hidden="true"></i> Feed
              </a>
              <a href="https://libretooth.gr/@libreops" class="mx-2 footer-link">
                <i class="fa fa-mastodon" aria-hidden="true"></i> Mastodon
              </a>
              <a href="https://twitter.com/libreops" class="mx-2 footer-link">
                <i class="fa fa-twitter" aria-hidden="true"></i> Twitter
              </a>
            </div>
            <div class="col-sm footer-col">
              <a class="btn btn-danger mb-2" href="https://opencollective.com/libreops/" target="_blank">Donate</a>
              <a href="https://libreops.cc" target="_blank"><img src="https://libreops.cc/static/img/libreops.svg" alt="LibreOps" class="footer-avatar"></a>
            </div>
          </div>
      </footer>
    </div>

    <script src="/static/js/app.js"></script>

</body>
</html>
